# SOD.Common

## Overview

Welcome to **SOD.Common**! 
This library provides a comprehensive set of helper classes and extensions to enhance your modding experience for the game "Shadows of Doubt."

**Current target: IL2CPP Branch**

## Table of Contents

- [Features](#features)
- [Thunderstore](#thunderstore)
- [Modding](#modding)
- [Documentation](#documentation)
- [Contributing](#contributing)
- [Releases](#releases)
- [License](#license)

## Features

- **Extensive Helper Classes:** This library includes a wide range of helper classes to simplify common modding tasks in Shadows of Doubt.

- **Useful Extensions:** Take advantage of useful extensions designed to streamline your mod development process.

- **Compatibility:** The library is designed to be compatible with the latest version of Shadows of Doubt.

## Thunderstore

The official thunderstore page can be found here: [SOD.Common](https://thunderstore.io/c/shadows-of-doubt/p/Venomaus/SODCommon/) 

**Setting up your mod manifest with SOD.Common:**

Setup **SOD.Common** as a dependency to your mod using the correct dependency string:

    "dependencies": ["Venomaus-SODCommon-VERSION"]
    // Example:
    "dependencies": ["Venomaus-SODCommon-1.1.0"]

## Modding
To install **SOD.Common** for use during your mod development, you can install the nuget package of the latest build. 
You can find the latest nuget package here:
[SOD.Common Nuget Packages](https://www.nuget.org/packages/SOD.Common)

## Documentation
All the documentation about the features and extensions can be found on the [wiki](https://github.com/Ven0maus/SOD.Common/wiki).

## Contributing
To contribute to the library, take a look at [CONTRIBUTING](https://github.com/Ven0maus/SOD.Common/blob/main/CONTRIBUTING.md).

## Releases
-   **Main:** Contains the current public **stable** release available on Thunderstore.
-   **Develop:** Contains the latest additions and bugfixes.

When a new public **stable** release is created it will also be tagged with the version number.

## License
This project is licensed under the [MIT License](https://github.com/Ven0maus/SOD.Common/blob/main/LICENSE)
